CVE-2018-5099

Impact:
Important
Public Date:
2018-01-23
CWE:
CWE-416
Bugzilla:
1537821: CVE-2018-5099 Mozilla: Use-after-free with widget listener (MFSA 2018-03)

The MITRE CVE dictionary describes this issue as:

A use-after-free vulnerability can occur when the widget listener is holding strong references to browser objects that have previously been freed, resulting in a potentially exploitable crash when these references are used. This vulnerability affects Thunderbird < 52.6, Firefox ESR < 52.6, and Firefox < 58.

Find out more about CVE-2018-5099 from the MITRE CVE dictionary dictionary and NIST NVD.

CVSS v3 metrics

CVSS3 Base Score 7.5
CVSS3 Base Metrics CVSS:3.0/AV:N/AC:H/PR:N/UI:R/S:U/C:H/I:H/A:H
Attack Vector Network
Attack Complexity High
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality High
Integrity Impact High
Availability Impact High

Red Hat Security Errata

Platform Errata Release Date
Red Hat Enterprise Linux 7 (thunderbird) RHSA-2018:0262 2018-02-01
Red Hat Enterprise Linux 7 (firefox) RHSA-2018:0122 2018-01-24
Red Hat Enterprise Linux 6 (firefox) RHSA-2018:0122 2018-01-24
Red Hat Enterprise Linux 6 (thunderbird) RHSA-2018:0262 2018-02-01

Acknowledgements

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Nils as the original reporter.

External References

Last Modified

CVE description copyright © 2017, The MITRE Corporation